{
  "inbounds": [
    {
      "port": 2801,
      "listen": "127.0.0.1",
      "protocol": "socks",
      "settings": {
        "udp": true
      }
    },
    {
      "port": 2802,
      "listen": "0.0.0.0",
      "protocol": "http"
    },
    {
      "protocol": "dokodemo-door",
      "port": 2803,
      "settings": {
        "network": "tcp,udp",
        "followRedirect": true
      },
      "streamSettings": {
        "sockopt": {
          "tproxy": "tproxy"
        }
      }
    }
  ],
  "outbounds": [
    {
        "protocol": "freedom",
        "tag": "direct"
    },
    {
        "protocol": "blackhole",
        "tag": "blocked"
    }
  ],
  "routing": {
    "rules": [
        {
            "type": "field",
            "ip": [
                "geoip:cn",
                "geoip:private"
            ],
            "outboundTag": "direct"
        }
    ]
}
}
